#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXfont2
Version		:	2.0.6
Release		:	14.4.0.0%{?dist}
Summary		:	X font handling library for server & utilities
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/lib/libXfont2

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libbsd-devel
BuildRequires	:	xorg-libfontenc
BuildRequires	:	xorg-xtrans
#-----------------------------------------------------------------------------
%description
libXfont provides the core of the legacy X11 font system, handling the index
files (fonts.dir, fonts.alias, fonts.scale), the various font file formats,
and rasterizing them.  It is used by the X servers, and will eventually be
used by the X Font Server (xfs), but should not be used by normal X11 clients.
X11 clients access fonts via either the new APIs in libXft, or the legacy
APIs in libX11.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc COPYING README.md
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/xfont2.pc

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
export CFLAGS="$RPM_OPT_FLAGS -Os"
./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

#adding bsd librar
sed -i							\
  -e "s:^CPPFLAGS =:CPPFLAGS = -DHAVE_LIBBSD:"		\
  Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
